示例#1
0
 /// <summary>
 /// Select the a object in the document by name and type
 /// </summary>
 /// <param name="name">Name of the feature to select</param>
 /// <param name="type">Type of feature in the document</param>
 /// <returns></returns>
 public bool Select(string name, string type) => _extension.SelectByID2(name, type, 0, 0, 0, false, -1, null,
                                                                        (int)swSelectOption_e.swSelectOptionDefault);
 /// <summary>
 /// 通过名字调用 SelectByID2
 /// </summary>
 /// <param name="feat"></param>
 /// <param name="extension"></param>
 /// <param name="name"></param>
 /// <param name="type"></param>
 /// <param name="append"></param>
 /// <param name="mark"></param>
 /// <returns></returns>
 public static bool SelectByName(this IFeature feat, IModelDocExtension extension, string name, string type, bool append, int mark = 0)
 {
     return(extension.SelectByID2(name, type, 0, 0, 0, append, mark, null, 0));
 }